import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class BlowUpImage here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class BlowUpImage  extends Actor
{
    private String imageName;
    private int imageDisplayed;
    private static final int NUMBER_OF_IMAGES = 30;
    
    private GreenfootImage[] images;
    
    //private String[] names = {"A", "B", "C"};
    
    
    public BlowUpImage(String image) {
        imageName = image;
        initializeImages();
        setImage(images[0]);
        imageDisplayed = 0;
    }
    
    /**
     * Act - do whatever the BlowUpImage wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        grow();
    }    
    
    private void initializeImages() {
        images = new GreenfootImage[NUMBER_OF_IMAGES];
        
        GreenfootImage baseImage = new GreenfootImage(imageName);
        
        for(int count = 0; count < NUMBER_OF_IMAGES; count =  count + 1) {
           images[count] =  new GreenfootImage(baseImage);
           
           int size = (count + 1) * (baseImage.getWidth()/NUMBER_OF_IMAGES);
           
           images[count].scale(size, size);
        }
    }
    
    private void grow() {
        setImage(images[imageDisplayed]);
        imageDisplayed = imageDisplayed + 1;
        
        if(imageDisplayed == NUMBER_OF_IMAGES) {
            int count = 0;
            while(count < 10) {
                int x = Greenfoot.getRandomNumber(getWorld().getWidth());
                int y = Greenfoot.getRandomNumber(getWorld().getHeight());
                
                Square s = new Square(Greenfoot.getRandomNumber(200) + 6);
                
                getWorld().addObject(s, x, y);
                
                count = count + 1;
            }
            getWorld().removeObject(this);
        }
    }
}
